Dev GuideAPI ReferenceChangelog
Dev GuideAPI ReferenceChangelogUser GuideDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

GET /tasks

Experimental Get a list of tasks.

Pick one style of date filter per request. Either use start_date and due_date, or use the __from and __to filters. A request that mixes the two styles returns a 400 error.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Search for task title

string

Campaign id of the tasks

string

Workflow id of the tasks

string

Milestone id of the tasks

string
deprecated

Start date of the tasks, in ISO 8601 UTC format. Returns the tasks whose start date falls in the 24 hours that begin at this date and time. Deprecated, use start_date__from and start_date__to instead.

string
deprecated

Due date of the tasks, in ISO 8601 UTC format. Returns the tasks whose due date falls in the 24 hours that begin at this date and time. Deprecated, use due_date__from and due_date__to instead.

date-time

Date and time as the lower limit to filter tasks by their start date, in ISO 8601 UTC format

date-time

Date and time as the upper limit to filter tasks by their start date, in ISO 8601 UTC format

date-time

Date and time as the lower limit to filter tasks by their due date, in ISO 8601 UTC format

date-time

Date and time as the upper limit to filter tasks by their due date, in ISO 8601 UTC format

status
array of strings

Filter tasks by status. Provide multiple statuses to filter tasks across multiple statuses.

status
Allowed:
integer
≥ 0
Defaults to 0

Starting index of results (zero indexed)

integer
1 to 100
Defaults to 10

Number of results to return per page

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json